#if !defined(AFX_ZGOWORMVIEW_H__37402648_6084_445E_8B00_DB4B7F6C09D4__INCLUDED_)
#define AFX_ZGOWORMVIEW_H__37402648_6084_445E_8B00_DB4B7F6C09D4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// zGoWormView.h : header file
//

#include "config.h"
#include "gnugo.h"

#include "zGo.h"
#include "zGoBoard.h"
#include "zMessageBox.h"
#include "zDlgLocalGuangzi.h"

#include "zGoGUIDoc.h"


extern "C" {
	void localGuangzi(int dragonID1, int dragonID2);
}

/////////////////////////////////////////////////////////////////////////////
// zGoWormView view

#define DRAW_WORM 1
#define DRAW_DRAGON 2

class zGoWormView : public CView
{
public:
	zGoBoard goBoard;
	int drawContent;
	zDlgLocalGuangzi dlgLocalGaungzi;
protected:
	zGoWormView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(zGoWormView)

// Attributes
public:
	CZGoGUIDoc* GetDocument();
	zGoData *goData;

// Operations
public:
	void ShowWormAtt(int i, int j);
	void ShowDragonAtt(int i, int j);
	void drawWorm();
	void drawDragon();
	void drawBoard();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(zGoWormView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~zGoWormView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(zGoWormView)
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnAnalyzeLocalguangzi();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZGOWORMVIEW_H__37402648_6084_445E_8B00_DB4B7F6C09D4__INCLUDED_)
