// zTimer.cpp: implementation of the zTimer class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "zGoGUI.h"
#include "zTimer.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

zTimer::zTimer()
{

}

zTimer::~zTimer()
{

}

void zTimer::setTime(int _timeLimit)
{
	timeLimit = _timeLimit;
}

void zTimer::start()
{
	begin = time(NULL);
}

void zTimer::stop()
{
	if (timeLimit == 0) return;
	end = time(NULL);
	elapsed = (int) difftime(end,begin);
	timeLimit = timeLimit - elapsed;
	if (timeLimit < 0) timeLimit = 0;
}

CString zTimer::toString()
{
	CString s;
	s.Format("%i",timeLimit);
	return s;
}
