
#ifndef _ZGO_H_
#define _ZGO_H_

#include "config.h"
#include "gnugo.h"
#include "liberty.h"

typedef struct {
	int x;
	int y;
} zPosition;

typedef struct {
	int board_size;
	int handicap;
	float komi;
	int timer;
	int computerPlay;
} zGoOption;

typedef struct {
	int move_history_pointer;
	int *move_history_color;
	int *move_history_pos;
	int board_size;
	Intersection *board;
	int wCaptured;
	int bCaptured;
	int wTerritory;
	int bTerritory;
	float wScore;
	float bScore;
	struct worm_data *worm;
	int numDragons;
	int eye_state;
	int eye_space_avail;
	struct dragon_data *dragon1;
	struct dragon_data2 *dragon2;
} zGoData;

#endif

